How can i update xci game using nsp upadte file ?

Discussion in 'Switch - Backup Loaders & Modchips' started by Airbus321, Apr 29, 2019.

  1. Airbus321
    OP

    Airbus321 Member

    Newcomer
    2
    Dec 5, 2016
    Currently i have final fantasy xii on 1.0.0 ( xci ) and i have the patch 1.1.0 ( nsp file ) . How can i do the update , i tried sx installer but the file got error .
     
  2. linuxares

    linuxares I'm not a generous god!

    Moderator
    17
    Aug 5, 2007
    Sweden
    Yes, you can just install the nsp like normal. Because the game will read the nsp file and see it as an update for your "cart" game. That's how it works normally.
     
  3. tigersaman

    tigersaman Member

    Newcomer
    4
    Jul 10, 2018
    Iran
    i always use the building TX menu for installing nsp updates and nsp files without any problem. if the update is new then it can be dependent on your firmware. try searching for firmware requirement for your particular update.
     
  4. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    Either this or you merge the two of them together into one XCI with NSC Builder so the Switch thinks this is a cartridge revision already containing the update. ;) This works for DLCs as well.
    Built myself an XCI of Mortal Kombat 11 containing the update and all yet released DLCs since that f*cking game is almost 30 gb in size so I can play it from an external USB drive without wasting mSD space.
     
    almmiron likes this.
  5. linuxares

    linuxares I'm not a generous god!

    Moderator
    17
    Aug 5, 2007
    Sweden
    That too! to bad MK11 really blows on the Switch :(
     
  6. Airbus321
    OP

    Airbus321 Member

    Newcomer
    2
    Dec 5, 2016
    Tks all of you guy alot so think i will try nsc builder . I am not sure ff xii 1.1.0 require firmware 7.0 or not , my switch is 6,2 :D
     
  7. Airbus321
    OP

    Airbus321 Member

    Newcomer
    2
    Dec 5, 2016
    How do i remove the nsp update once i ve installed it because it keep causing error all the time even i change the xci game to 1.0.0 . Maybe the update require firmware 7.0 so it keep crashing the game
     
  8. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    With Goldleaf 0.5
    Head to Title Management, find the game and uninstall only the update.
     
    FanboyKilla and Airbus321 like this.
  9. Lonrock

    Lonrock Newbie

    Newcomer
    1
    Nov 14, 2019
    Philippines
    lordelan, did you already try to build the nba2k20 game and update in nscb?
     
  10. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    No never tried that game. Why? Can't you get it to work?
     
  11. Lonrock

    Lonrock Newbie

    Newcomer
    1
    Nov 14, 2019
    Philippines
    Im planning to try it, because the update is too big lols

    — Posts automatically merged - Please don't double post! —

    NBA 2k19 goes above 32gb with the update. There aren't 64gb cartridges in the market currently or flags in the SDK so it won't work. Not sure if the limitation is actually in Horizon current capabilities or in SX OS code. The error is kinda the same as before they released they 32gb cartridges patch.

    i saw this post in the other thread.
     
  12. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    Oh over 32 gb, I see. That might be a problem.
    Guess you would have to wait for a FW update after such a big game came out actually for Horizon (and SX OS?) to support it.
    Seems like installing the update NSP and launching the base game is your only option then.
     
  13. Lonrock

    Lonrock Newbie

    Newcomer
    1
    Nov 14, 2019
    Philippines
    what version you are using in nscb?
    i think mine is not working well
     
  14. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    I'm using the most recent NSC Builder version.
    As I said I didn't mess with NBA 2k yet though.
     
Quick Reply
Draft saved Draft deleted
Loading...